# Deploy

This section will allow you to properly deploy Ecolyo-Agent in a production environment

## Deploy Ecolyo-Agent application

To deploy ecolyo-agent application in a production environment, you need to create docker-compose.yml, site.conf and .env files

### docker-compose.yml

Example [here](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-client/-/blob/dev/docker-compose.yml)

### site.conf

Find exemples [here](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-client/-/tree/dev/nginx)

### .env

In this file, add the variables as described in the env-template file in the git repository

To use OAuth2 login ask your client ID and client secret

Here is the config to run the app

```env
NODE_TLS_REJECT_UNAUTHORIZED = '0'
HTTPS=true
SSL_CRT_FILE=cert.pem
SSL_KEY_FILE=key.pem
```

Complete with this example [here](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-server/-/blob/dev/.env.template)

## Start the application

Then start the app by launching the command :

```sh
docker-compose up -d
```

To check if the application starts successfully, launch the command

```sh
docker logs backoffice-client_backend_1
```

You should obtain the following messages:

> --- Server is starting ---  
> Token signing key set
